# TaxIdentifierSchemaByCountry

Returns the tax identifier request and response schema for a specific country.

`GET /tax-identifiers/schema`

**API:** Avalara E-Invoicing API
**Tag:** Tax Identifiers
**API Version:** 1.6
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.6/methods/Tax%20Identifiers/TaxIdentifierSchemaByCountry/

## Description

Returns the tax identifier request and response schema for a specific country.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | Header that specifies the API version to use (for example "1.6"). |
| `X-Avalara-Client` | string | header | No | Optional header for a client identifier string used for diagnostics (for example "Fingerprint"). |
| `X-Correlation-ID` | string | header | No | Optional correlation identifier provided by the caller to trace the call (for example "f3f0d19a-01a1-4748-8a58-f000d0424f43"). |
| `countryCode` | string | query | Yes | Two-letter ISO 3166 country code for which to retrieve the schema (for example "DE"). |
| `type` | string | query | No | Specifies which schema to return: "request" to receive the request validation schema or "response" to receive the response validation schema. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns an object containing countryCode, schemaType, and schema. The schema property contains a JSON Schema (Draft-07) used to validate tax identifier requests or responses for the specified country. |  |
| 400 | Invalid request | `ErrorResponse` |
| 401 | Unauthorized. | `ErrorResponse` |
| 403 | Forbidden. | `ErrorResponse` |
| 500 | Internal server error. | `ErrorResponse` |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/tax-identifiers/schema" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```